\documentclass[10pt,t,serif,professionalfont]{beamer}
\PassOptionsToPackage{pdfpagemode=FullScreen}{hyperref}
\PassOptionsToPackage{usenames,dvipsnames}{color}
\usepackage{../../presentation}

\mode<presentation>
{
  \usetheme{boxes}
  \setbeamercovered{invisible}
  \setbeamertemplate{navigation symbols}{} 
}
\addheadbox{filler}{\ }  % create extra space at top of slide 
%\setbeameroption{show notes}
% \setbeamertemplate{background canvas}[vertical shading][bottom=red!20,top=yellow!30]
\hypersetup{colorlinks=true,linkcolor=blue} 

\title{Section 4.6:\ \ Optimization}

\author{J Hef{}feron}
\institute{
  Mathematics and Statistics\\
  University of Vermont\\[1ex]
  \texttt{James.Hefferon@uvm.edu}
}
\date{}

\usepackage{siunitx}

\begin{document}
\begin{frame}
  \titlepage
\end{frame}

%........................................................

\section{Optimizing over a closed interval}

\begin{frame}{Maximal area rectangle}
\Ex We want to enclose a rectangular region with 100 meters of fencing.
What is the largest area that we can get? 
\begin{center}
  \includegraphics[height=0.25\textheight]{pix/sheep.jpg}
\end{center}

We want to optimize $\text{Area}=x\cdot y$ subject to $2x+2y=100$
(with $x,y\geq 0$).
\pause
In this class we don't know how to optimize two-variable equations so
we need to bring the area function down to one variable. 
Recast the constraint as $y=50-x$ and substitute into the goal 
to get 
$A=x(50-x)$ with $0\leq x\leq 50$.

The derivative, $A'(x)=-2x+50=-2(x-25)$ gives that the only
critical number is $25$.
We can compute the function values at the critical number and the endpoints.
\end{frame}

\begin{frame}
\begin{center}
  \begin{tabular}{l|l}
    \multicolumn{1}{c}{\textit{Number to test}}
      &\multicolumn{1}{c}{\textit{Value of function}}  \\ \hline
   End number $0$       &$A(0)=0$  \\
   End number $50$      &$A(50)=0$  \\
   Critical number $25$ &$A(25)=625$  
  \end{tabular}
\end{center}
(with $A''(x)=-2$, the Second Derivative Test shows the same thing).
So the area is at a maximum when the region is a square.
\begin{center}
  \includegraphics{asy/optimization003.pdf}
\end{center}
\end{frame}



\begin{frame}{Maximize enclosed area}
A farmer has 2400 meters of fence, and will enclose a yard by using 
an existing wall as the fourth side of a rectangle.  
\begin{center}
  \includegraphics{asy/optimization000.pdf}
\end{center}
How to get the largest area?

\pause
The goal is to maximize $A=x\cdot y$ but here the constraint is 
that $2400=2x+y$.
Solving $y=2400-2x$ and substituting gives $A(x)=x(2400-2x)=2400x-2x^2$,
subject to $0\leq x\leq 1200$.
\end{frame}
\begin{frame}
The derivative is $A'(x)=2400-4x$ so the only critical number is $x=600$.
\begin{center}
  \begin{tabular}{l|l}
    \multicolumn{1}{c}{\textit{Number to test}}
      &\multicolumn{1}{c}{\textit{Value of function}}  \\ \hline
   End number $0$       &$A(0)=0$  \\
   End number $1200$      &$A(1200)=0$  \\
   Critical number $600$ &$A(600)=720000$  
  \end{tabular}
\end{center}
\begin{center}
  \includegraphics{asy/optimization004.pdf}
\end{center}
\end{frame}
% sage: def f(x):
% ....:     return (2400*x-2*x^2)
% ....: 
% sage: f(600)
% 720000


\begin{frame}{Practice}
\Ex A company has this price-vs-demand function and cost function,
where $x$ is the number manufactured.
\begin{align*}
  \text{Price}(x) &= 400-0.5x  \\
  \text{Cost}(x)  &= 2\,000+200x
\end{align*}
Obviously $x$ is in the range $\closed{0}{800}$.
How many should they produce to maximize revenue?
Revenue is price times number sold.

\pause
\begin{align*}
  R(x)  &=x(400-0.5x)=400x-0.5x^2  \\
  R'(x) &=400-x
\end{align*}
The only critical point is $c=400$.
\begin{center}
  \begin{tabular}{l|l}
    \multicolumn{1}{c}{\textit{Number to test}}
      &\multicolumn{1}{c}{\textit{Value of function}}  \\ \hline
   End number $0$       &$R(0)=0$  \\
   End number $800$      &$R(800)=0$  \\
   Critical number $400$ &$R(400)=80\,000$  
  \end{tabular}
\end{center}
\end{frame}


\begin{frame}
\Ex
Recall that the company has this price-vs-demand function and cost function,
where $x$ is the number manufactured, and $x$ is in the 
interval $\closed{0}{800}$.
\begin{align*}
  \text{Price}(x) &= 400-0.5x  \\
  \text{Cost}(x)  &= 2\,000+200x
\end{align*}
How many should they produce to maximize profit?
Profit is revenue minus cost.
\pause
\begin{align*}
  P(x)  &=(400x-0.5x^2)-(2000+200x)=-0.5x^2+200x-2000  \\
  P'(x) &=-x+200
\end{align*}
The only critical point is $c=200$.
\begin{center}
  \begin{tabular}{l|l}
    \multicolumn{1}{c}{\textit{Number to test}}
      &\multicolumn{1}{c}{\textit{Value of function}}  \\ \hline
   End number $0$       &$P(0)=0$  \\
   End number $800$      &$P(800)=0$  \\
   Critical number $400$ &$P(200)=18\,000$  
  \end{tabular}
\end{center}
\end{frame}
% sage: def R(x):
% ....:     return (400*x-0.5*x^2)
% ....: 
% sage: R(400)
% 80000.0000000000
% sage: def P(x):
% ....:     return(-0.5*x^2+200*x-2000)
% ....: 
% sage: P(200)
% 18000.0000000000





% \begin{frame}{Minimize travel time}
% We want to get from $A$ to~$B$.
% Travelling West to East we can move at $300$ units per second
% but once we leave that horizontal line we travel slower, 
% at $200$~units per second.
% We want to find the intermediate point~$C$ from which we should look to
% cut over for a minimal time trip.
% \begin{center}
%   \includegraphics[height=0.2\textheight]{asy/optimization002.pdf}
% \end{center}

% \pause
% Of course, $\text{distance}=\text{rate}\cdot\text{time}$ and so
% $\text{time}=\text{distance}/\text{rate}$.
% Here is the total time.
% \begin{equation*}
%   T(x)=\frac{10-x}{300}+\frac{\sqrt{16+x^2}}{200}
%   \qquad 
%   T'(x)=\frac{-1}{300}+\frac{x}{200\sqrt{16+x^2}}
% \end{equation*}
% Set the derivative equal to zero to get 
% $\sqrt{16-x^2}=3x/2$, and so $x=\sqrt{4\cdot 16/5}\approx 3.58$.
% \end{frame}
% % sage: n(sqrt(64/5))
% % 3.57770876399966

% \begin{frame}
% \textit{Remark:}
% to get from one place to another, light takes the path of minimal time.
% The problem's numbers are $300$ and $200$ because in air 
% light travels at $300\,000$~km per second while in glass it travels
% at $200\,000$ km per second.
% \end{frame}





\section{Optimizing over an open interval}

\begin{frame}{Enclosed volume}
\Ex
We will make a cylindrical can that encloses $64$~cubic centimeters.
What radius and height uses the least material?
\begin{center}
  \includegraphics[height=0.2\textheight]{pix/can.jpg}
\end{center}
So the goal is to minimize the surface area $S(r,h)=2\pi r^2+2\pi rh$ subject to
the constraint that $64=\pi r^2h$.

\pause Solve the constraint for one variable, $h=64/\pi r^2$, and substitute
in the goal equation.
That gives $S(r)=2\pi r^2+2\pi r(64/\pi r^2)=2\pi r^2+(128/r)$
with $0<r<\infty$.

\pause The derivative is $S'(r)=4\pi r-(128/r^2)$, and setting it to zero
give the critical number $r=(32/\pi)^{1/3}\approx 2.17$.
The second derivative is $S''(r)=4\pi+(256/r^3)$ and 
$S''((32/\pi)^{1/3})=12\pi$ is positive, so this is a minimum.
\end{frame}



% \begin{frame}{Minimal area cylinder}
% A cylinder will have volume~$10$.
% Minimize its surface area.

% \pause
% We must minimize $S=2\pi r^2+2\pi rh$
% subject to the constraint that $\pi r^2h=10$. 

% \pause
% Solve the constraint to get $h=10/(\pi r^2)$, 
% and then $A(r)=2\pi r^2+2\pi r(10/\pi r^2)=2\pi r^2+(20/r)$ with $0<r<\infty$.

% \pause
% This interval is open so we can't just plug in the endpoints.
% Instead, observe that as $r\to\infty$ or as $r\to 0$ we have $A(r)\to \infty$.
% So the minimum must be a critical point.
% Solving the derivative $0=A'(r)=4\pi r^2-(20/r^2)$ 
% gives $r=(5/\pi)^{1/3}\approx 1.17$.


% \begin{center}\small
%   \vcenteredhbox{\includegraphics{asy/optimization001.pdf}}
%   \qquad
%   \begin{minipage}{0.4\linewidth}
%     Note that the cylinder has no maximal area.
%   \end{minipage}
% \end{center}
% \end{frame}



\section{More exercises}

\begin{frame}{Practice}
\begin{enumerate}
% \item We will make a rectangular box with an open top by starting with a
% $4$-by-$3$ sheet, cutting out square corners all of the same size, and
% then bending up the sides.
% Maximize the box's volume.
\item Minimize the product of two nonnegative numbers $x,y$ that add to $16$.
\item Maximize the area of a right triangle, subject to that the sum of the
length of the legs is $10$.
\item Find the point on the curve $y=\sqrt{x}$ closest to the point $(3,0)$.
\end{enumerate}
\end{frame}





% ---------------------
% \begin{frame}
% \frametitle{}
% \end{frame}
\end{document}
%%% Local Variables: 
%%% coding: utf-8
%%% mode: latex
%%% TeX-engine: luatex
%%% End: 
